petsc-3.7.7 2017-09-25
Report Typos and Errors

# SNESLineSearchPostCheckFunction

form of function that is called after line search is complete

### Synopsis

    #include <petscsnes.h>
    SNESLineSearchPostheckFunction(SNESLineSearch linesearch,Vec x,Vec y,  Vec w, *changed_y, PetscBool *changed_w);

### Input Parameters

| x | - old solution vector
| y | - search direction vector
| w | - new solution vector
| changed_y | - indicates that the line search changed y
| changed_w | - indicates that the line search changed w

Note: This is NOTE a PETSc function, rather it documents the calling sequence of functions passed to SNESLineSearchSetPostCheck() and SNESLineSearchGetPostCheck()

### See Also

SNESLineSearchSetPreCheck(), SNESLineSearchSetPostCheck(), SNESLineSearchGetPreCheck(), SNESLineSearchGetPostCheck()

Level:advanced
Location:src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages